org.apache.felix.ipojo.manipulator.metadata

## Class StreamMetadataProvider

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.StreamMetadataProvider

All Implemented Interfaces:
  MetadataProvider

    public class StreamMetadataProvider
    extends Object
    implements MetadataProvider

A `StreamManifestProvider` knows how to load metadata from an InputStream.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`StreamMetadataProvider(InputStream stream, Reporter reporter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<org.apache.felix.ipojo.metadata.Element>` `getMetadatas()` Gather all the metadata.
`void` `setValidateUsingLocalSchemas(boolean validateUsingLocalSchemas)` Force XML schemas resolution to be performed locally

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamMetadataProvider

    public StreamMetadataProvider(InputStream stream,
                                  Reporter reporter)

### Method Detail

#### setValidateUsingLocalSchemas

    public void setValidateUsingLocalSchemas(boolean validateUsingLocalSchemas)

Force XML schemas resolution to be performed locally

#### getMetadatas

    public List<org.apache.felix.ipojo.metadata.Element> getMetadatas()
                                                               throws IOException

Description copied from interface: `MetadataProvider`
Gather all the metadata.

Specified by:
  `getMetadatas` in interface `MetadataProvider`
Returns:
  a list of iPOJO metadata (never return null)
Throws:
  `IOException` - if something wet wrong during gathering.